[18.04 FEAT] Rebase libpfm4 >=4.9.0

Bug #1741905 reported by bugproxy on 2018-01-08
16
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
High
Canonical Foundations Team
libpfm4 (Ubuntu)
High
Canonical Foundations Team

Bug Description

Use the newest version of libpfm4 in support of
"Add CPU-MF hardware counters for z13/z13s"

bugproxy (bugproxy) on 2018-01-08
tags: added: architecture-s39064 bugnameltc-161538 severity-high targetmilestone-inin1804
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → libpfm4 (Ubuntu)

------- Comment From <email address hidden> 2018-01-08 09:35 EDT-------
Version 4.9.0 available on debian
https://sourceforge.net/p/perfmon2/libpfm4/ci/master/tree/

Changed in ubuntu-z-systems:
importance: Undecided → High
assignee: nobody → Canonical Foundations Team (canonical-foundations)
Steve Langasek (vorlon) wrote :

On Mon, Jan 08, 2018 at 02:39:58PM -0000, bugproxy wrote:
> ------- Comment From <email address hidden> 2018-01-08 09:35 EDT-------
> Version 4.9.0 available on debian
> https://sourceforge.net/p/perfmon2/libpfm4/ci/master/tree/

For the record, this shows that Debian packaging is available for 4.9.0 in
the upstream tree; but this version has not been uploaded to Debian.

The new upstream version will need to be uploaded directly to Ubuntu.

Changed in libpfm4 (Ubuntu):
assignee: Skipper Bug Screeners (skipper-screen-team) → Canonical Foundations Team (canonical-foundations)
importance: Undecided → High
status: New → Triaged
Dimitri John Ledkov (xnox) wrote :

In bionic-proposed.

Changed in libpfm4 (Ubuntu):
status: Triaged → In Progress
status: In Progress → Fix Committed
Changed in ubuntu-z-systems:
status: New → Fix Committed
Dimitri John Ledkov (xnox) wrote :

libpfm4 (4.9.0-2) unstable; urgency=medium

  * Fix mips event name containing space: "OCP_WRITE_CACHEABLE REQUESTS".
  * Fix armhf building for arm64 on 64-bit CPU.
  * Set Rules-Requires-Root: no.

 -- Andreas Beckmann <email address hidden> Thu, 25 Jan 2018 06:46:24 +0100

Changed in libpfm4 (Ubuntu):
status: Fix Committed → Fix Released
Changed in ubuntu-z-systems:
status: Fix Committed → Fix Released
information type: Private → Public
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2018-01-30 10:37 EDT-------
IBM bugzilla status -> closed; requested version available with 18.04

tags: added: id-5a5395106d54d20c6607c87e
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers